;;; $MEADOW/packages/pkginfo/ms-fonts-ja/auto-autoloads.el

;;; Copyright (C) 2004-2005 The Meadow Team

;; Author: KOSEKI Yoshinori <kose@meadowy.org>

(cond
 ((featurep 'meadow)
;;; for Meadow

  (let ((define-font
	  (function 
	   (lambda (fn sz)
	     (let (fsn fss)
	       (setq fsn (format "%s %d" fn sz))
	       (setq sz (- sz))
	       (setq fss
		     `((spec
			((:char-spec ascii :height any)
			 strict
			 (w32-logfont ,fn 0 ,sz 400 0 nil nil nil 0 1 3 0))
			((:char-spec ascii :height any :weight bold)
			 strict
			 (w32-logfont ,fn 0 ,sz 700 0 nil nil nil 0 1 3 0)
			 ((spacing . -1)))
			((:char-spec ascii :height any :slant italic)
			 strict
			 (w32-logfont ,fn 0 ,sz 400 0   t nil nil 0 1 3 0))
			((:char-spec ascii :height any :weight bold :slant italic)
			 strict
			 (w32-logfont ,fn 0 ,sz 700 0   t nil nil 0 1 3 0)
			 ((spacing . -1)))
			((:char-spec japanese-jisx0208 :height any)
			 strict
			 (w32-logfont ,fn 0 ,sz 400 0 nil nil nil 128 1 3 0))
			((:char-spec japanese-jisx0208 :height any :weight bold)
			 strict
			 (w32-logfont ,fn 0 ,sz 700 0 nil nil nil 128 1 3 0)
			 ((spacing . -1)))
			((:char-spec japanese-jisx0208 :height any :slant italic)
			 strict
			 (w32-logfont ,fn 0 ,sz 400 0   t nil nil 128 1 3 0))
			((:char-spec japanese-jisx0208 :height any :weight bold :slant italic)
			 strict
			 (w32-logfont ,fn 0 ,sz 700 0   t nil nil 128 1 3 0)
			 ((spacing . -1))))))
	       (if (w32-list-fonts fsn)
		   (w32-change-font fsn fss)
		 (w32-add-font fsn fss))
	       )))
	  ))
    (funcall define-font "MS Gothic" 10)
    (funcall define-font "MS Gothic" 12)
    (funcall define-font "MS Gothic" 14)
    (funcall define-font "MS Gothic" 16)
    (funcall define-font "MS Gothic" 18)
    (funcall define-font "MS Gothic" 20)
    (funcall define-font "MS Gothic" 22)
    (funcall define-font "MS Mincho" 10)
    (funcall define-font "MS Mincho" 12)
    (funcall define-font "MS Mincho" 14)
    (funcall define-font "MS Mincho" 16)
    (funcall define-font "MS Mincho" 18)
    (funcall define-font "MS Mincho" 20)
    (funcall define-font "MS Mincho" 22))

  ;;(set-face-attribute 'variable-pitch nil :family "*")
  ;;(set-face-attribute 'fixed-pitch nil :family "*")

  (unless (assoc 'font default-frame-alist)
    (setq default-frame-alist 
	  (add-to-list 'default-frame-alist `(font . "MS Gothic 16")))))
(t
;;; for NTEmacs

 (create-fontset-from-fontset-spec
  "-*-Courier New-normal-r-*-*-13-*-*-*-c-*-fontset-TT,
latin-jisx0201:-sony-fixed-medium-r-normal--16-*-*-*-*-*-jisx0201.1976-0,
japanese-jisx0208:-outline-$B#M#S(B $B%4%7%C%/(B-normal-r-normal-normal-16-*-*-*-*-*-jisx0208-sjis" t t)

  (unless (assoc 'font default-frame-alist)
    (setq default-frame-alist 
	  (add-to-list 'default-frame-alist `(font . "fontset-TT")))))
 )
;;; auto-autoloads.el ends here
